Bug 1019071 - nodejs010-http-parser.i686 has unsatisfied dependency nodejs010-runtime
nodejs010-http-parser.i686 has unsatisfied dependency nodejs010-runtime
Status: CLOSED WONTFIX
Product: Red Hat Software Collections
Classification: Red Hat
Component: nodejs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.1
Assigned To: Tomas Hrcka
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 02:45 EDT by Dan Callaghan
Modified: 2013-11-12 01:35 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 01:35:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-10-15 02:45:17 EDT
Description of problem:
Error: Package: nodejs010-http-parser-2.0-5.20121128gitcd01361.el6_4.i686 (build)
           Requires: nodejs010-runtime

Version-Release number of selected component (if applicable):
nodejs010-http-parser-2.0-5.20121128gitcd01361.el6_4.i686

How reproducible:
always

Steps to Reproduce:
1. Try to install nodejs010-http-parser on i686 (or even, try to install something which causes yum to consider nodejs010-http-parser -- see bug 1018078)

Actual results:
Error: Package: nodejs010-http-parser-2.0-5.20121128gitcd01361.el6_4.i686 (build)
           Requires: nodejs010-runtime

Expected results:
Should not cause depsolving failure

Additional info:
The nodejs software collection package nodejs010-1-17.el6, which provides nodejs010-runtime, appears to be x86_64 only. I guess this is a mistake.
Comment 2 Tomas Hrcka 2013-10-18 03:36:02 EDT
Hi Dan, if I am not mistaken scl is supported only on x86_64.
Comment 3 Dan Callaghan 2013-11-11 20:10:39 EST
If i686 isn't supported I would suggest to stop building packages for that arch. But I guess it doesn't really matter, as long as bug 1018078 can be fixed. So feel free to close this bug if you prefer.

Note You need to log in before you can comment on or make changes to this bug.